What a change of the counting rules does to referrals not decided yet
POST
/api/v1/workspaces/{workspace}/grow/referrals/{program}/settings/impact
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/referrals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/settings/impact"
payload := strings.NewReader("{ \"burst\": { \"on\": true, \"threshold\": 1 }, \"disposable\": true, \"holdDays\": 0, \"left\": true, \"numbered\": true, \"sameIp\": true, \"sharedIp\": { \"on\": true, \"threshold\": 1 } }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/referrals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/settings/impact';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"burst":{"on":true,"threshold":1},"disposable":true,"holdDays":0,"left":true,"numbered":true,"sameIp":true,"sharedIp":{"on":true,"threshold":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/referrals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/settings/impact \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "burst": { "on": true, "threshold": 1 }, "disposable": true, "holdDays": 0, "left": true, "numbered": true, "sameIp": true, "sharedIp": { "on": true, "threshold": 1 } }'Permission: grow:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
program
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
burst
required
object
on
required
boolean
threshold
required
integer format: int64
disposable
required
boolean
holdDays
required
integer format: int64
left
required
boolean
numbered
required
boolean
sameIp
required
boolean
sharedIp
required
object
on
required
boolean
threshold
required
integer format: int64
Responses
Section titled “Responses”OK
Media typeapplication/json
object
awaiting
required
integer format: int64
holdFrom
required
integer format: int64
holdTo
required
integer format: int64
inHold
required
integer format: int64
rulesChanged
required
Array<string>
Example generated
{ "awaiting": 1, "holdFrom": 1, "holdTo": 1, "inHold": 1, "rulesChanged": [ "example" ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}